Bug 645186 - Review Request: xavante - Lua Web Server with WSAPI support
Summary: Review Request: xavante - Lua Web Server with WSAPI support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 645182 645184
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-20 23:07 UTC by Tim Niemueller
Modified: 2010-11-14 17:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-06 23:43:35 UTC
lemenkov: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2010-10-20 23:07:46 UTC
Spec URL: http://fedorapeople.org/~timn/luastuff/xavante.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/xavante-2.2.0-1.fc13.src.rpm
Description:
Xavante is a Lua HTTP 1.1 Web server that uses a modular architecture based
on URI mapped handlers. Xavante currently offers a file handler, a redirect
handler and a WSAPI handler. Those are used for general files, URI remapping
and WSAPI applications respectively.

URL: http://keplerproject.github.com/xavante/
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2545657

Comment 1 Peter Lemenkov 2010-10-25 09:49:30 UTC
I'll review it too.

Comment 2 Peter Lemenkov 2010-10-25 09:59:31 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent, but the only its message is a false positive:

work ~: rpmlint ~/Desktop/xavante-2.2.0-1.fc13.noarch.rpm 
xavante.noarch: W: spelling-error Summary(en_US) Lua -> Lu, La, Luna
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
work ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum xavante-2.2.0.tar.gz*
dade4606fb92ccf45df9b5405d9ff3edd4c9f9da26f53cf83c3b8e0021105700  xavante-2.2.0.tar.gz
dade4606fb92ccf45df9b5405d9ff3edd4c9f9da26f53cf83c3b8e0021105700  xavante-2.2.0.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED.

Comment 3 Tim Niemueller 2010-10-25 19:15:23 UTC
New Package SCM Request
=======================
Package Name: xavante
Short Description: Lua Web Server with WSAPI support
Owners: timn
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 4 Jens Petersen 2010-10-28 09:23:33 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-10-28 17:07:28 UTC
xavante-2.2.1-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/xavante-2.2.1-1.fc12

Comment 6 Fedora Update System 2010-10-28 17:08:35 UTC
xavante-2.2.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xavante-2.2.1-1.fc13

Comment 7 Fedora Update System 2010-10-28 17:09:16 UTC
xavante-2.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xavante-2.2.1-1.fc14

Comment 8 Fedora Update System 2010-10-28 17:11:58 UTC
xavante-2.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/xavante-2.2.1-1.el5

Comment 9 Fedora Update System 2010-10-29 20:41:06 UTC
xavante-2.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xavante'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xavante-2.2.1-1.fc13

Comment 10 Fedora Update System 2010-11-06 23:39:18 UTC
xavante-2.2.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-06 23:43:31 UTC
xavante-2.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-06 23:45:53 UTC
xavante-2.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-14 17:28:33 UTC
xavante-2.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.